| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
PixarLogState Struct Reference

## Public Attributes
TIFFPredictorState | predict
z_stream | stream
uint16 * | tbuf
uint16 | stride
int | state
int | user_datafmt
int | quality
TIFFVSetMethod | vgetparent
TIFFVSetMethod | vsetparent
float * | ToLinearF
uint16 * | ToLinear16
unsigned char * | ToLinear8
uint16 * | FromLT2
uint16 * | From14
uint16 * | From8

## Detailed Description

Definition at line 454 of file tif_pixarlog.c.

## Member Data Documentation

uint16* PixarLogState::From14

Definition at line 471 of file tif_pixarlog.c.

uint16* PixarLogState::From8

Definition at line 472 of file tif_pixarlog.c.

uint16* PixarLogState::FromLT2

Definition at line 470 of file tif_pixarlog.c.

TIFFPredictorState PixarLogState::predict

Definition at line 455 of file tif_pixarlog.c.

int PixarLogState::quality

Definition at line 461 of file tif_pixarlog.c.

int PixarLogState::state

Definition at line 459 of file tif_pixarlog.c.

z_stream PixarLogState::stream

Definition at line 456 of file tif_pixarlog.c.

uint16 PixarLogState::stride

Definition at line 458 of file tif_pixarlog.c.

uint16* PixarLogState::tbuf

Definition at line 457 of file tif_pixarlog.c.

uint16* PixarLogState::ToLinear16

Definition at line 468 of file tif_pixarlog.c.

unsigned char* PixarLogState::ToLinear8

Definition at line 469 of file tif_pixarlog.c.

float* PixarLogState::ToLinearF

Definition at line 467 of file tif_pixarlog.c.

int PixarLogState::user_datafmt

Definition at line 460 of file tif_pixarlog.c.

TIFFVSetMethod PixarLogState::vgetparent

Definition at line 464 of file tif_pixarlog.c.

TIFFVSetMethod PixarLogState::vsetparent

Definition at line 465 of file tif_pixarlog.c.

The documentation for this struct was generated from the following file:

- /usr/local/bsoft/libtiff/tif_pixarlog.c